com.smartgwt.client.data

## Class SchemaSet

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.data.SchemaSet

-     public class SchemaSet
      extends JsObject

  A set of schema derived from the `<xsd:schema>` element in a WSDL or XML schema file loaded by `XMLTools.loadWSDL(java.lang.String, com.smartgwt.client.data.WSDLLoadCallback)` or `XMLTools.loadXMLSchema(java.lang.String, com.smartgwt.client.data.XSDLoadCallback)`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaSet(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSource` | `getSchema(java.lang.String schemaName)` Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.
    `DataSource` | `getSchema(java.lang.String schemaName, java.lang.String schemaType)` Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaSet

          public SchemaSet(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getSchema

          public DataSource getSchema(java.lang.String schemaName)

      Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.
      Parameters:
        `schemaName` - name of the schema to retrieve
      Returns:
        the data source if schema found, or null

    - #### getSchema

          public DataSource getSchema(java.lang.String schemaName,
                             java.lang.String schemaType)

      Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.
      Parameters:
        `schemaName` - name of the schema to retrieve
        `schemaType` - type of schema to return, either "element" for xs:element definitions only or "type" for xs:complexType definitions. If unspecified, either will be returned, with types preferred if names collide
      Returns:
        the data source if schema found, or null